Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
abi_x86_32 Multilib madness [Not as SOLVED as I thought]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Thu Mar 14, 2013 7:23 pm    Post subject: Reply with quote

I appreciate this post, it saved me a major headache.

How I got through it was to echo "=app-emulation/emul-linux-x86-xlibs-20130224-r1" >> /etc/portage/package.unmask as per Polynomial-C

I didn't add anything to make.conf. Then emerge -av =app-emulation/emul-linux-x86-xlibs-20130224-r1

That appeared to pull everything that an emerge -uDN would. I don't have some of the apps installed that were mentioned in this thread like wine and skype so maybe that helped.

Here's emerge --info if it helps:
Code:
Portage 2.1.11.55 (default/linux/amd64/13.0/desktop, gcc-4.7.2, glibc-2.16.0, 3.9.0-rc2 x86_64)
=================================================================
System uname: Linux-3.9.0-rc2-x86_64-AMD_Phenom-tm-_9150e_Quad-Core_Processor-with-gentoo-2.2
KiB Mem:     3790772 total,    165484 free
KiB Swap:    8193076 total,   8144768 free
Timestamp of tree: Thu, 14 Mar 2013 12:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x11 wish xarthisius mozilla gentoo-gateway
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.datapipe.net/gentoo http://gentoo.mirrors.pair.com/ http://gentoo.osuosl.org/ http://mirrors.rit.edu/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ http://mirror.the-best-hosting.net"
LANG="en_US.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/wish /var/lib/layman/xarthisius /var/lib/layman/mozilla /usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 apng auto-hinter branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dirac directfb dri dts dvd dvdr emboss encode exif extras fam firefox flac fontconfig fortran gallium gd gdbm gif gpm gtk gusb hddtemp iconv introspection iostats ipv6 java jpeg kdrive lcms ldap libnotify live lm_sensors lua lua-cairo lua-imlib lxde mad math mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses network nls nptl ogg opengl openmp openvg pam pango pcre pdf png policykit ppds pulseaudio python qt3support qt4 readline rss scanner sdl session shared-dricore sound sox spell sqlite sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vaapi vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.2"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 729
Location: Stuttgart, Germany

PostPosted: Thu Mar 14, 2013 7:28 pm    Post subject: Reply with quote

well, I could not get wine to emerge, but I suspect it's a different problem:

Code:
 /var/tmp/portage/app-emulation/wine-9999/temp/wine-1.1.15-winegcc.patch.out:

***** wine-1.1.15-winegcc.patch *****
PWD: /var/tmp/portage/app-emulation/wine-9999/work/wine-9999

=====================================

PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch  < '/usr/portage/app-emulation/wine/files/wine-1.1.15-winegcc.patch'

=====================================
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|http://bugs.gentoo.org/260726
|
|--- wine-1.1.15/tools/winegcc/winegcc.c
|+++ wine-1.1.15/tools/winegcc/winegcc.c
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
can't find file to patch at input line 31
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- wine-1.1.15/tools/winebuild/main.c
|+++ wine-1.1.15/tools/winebuild/main.c
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
looks like a file got removed from the portage tree, but not the patch that needs it, yes? Anybody else want to try emerging wine-9999 to confirm?

Cheers,

EE
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5263
Location: ~Brussels - Belgique

PostPosted: Thu Mar 14, 2013 7:44 pm    Post subject: Reply with quote

Wine 1.5.25 emerged fine today for me.
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1313
Location: /uk/sheffield

PostPosted: Fri Mar 15, 2013 1:33 pm    Post subject: Reply with quote

No problems with Skype here either.

In /etc/portage/make.conf ...

Code:

ACCEPT_KEYWORDS="~amd64"
ABI_X86="64 32"


...and the following in /etc/portage/package.unmask ...

Code:

=app-emulation/emul-linux-x86-libs-20130224-r1


...and disabling the abi_x86_32 flag for sci-libs/fftw in /etc/portage/package.use...

Code:

sci-libs/fftw -abi_x86_32

_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5263
Location: ~Brussels - Belgique

PostPosted: Fri Mar 15, 2013 1:41 pm    Post subject: Reply with quote

In my case, I didn't activated globally ABI_X86, but per package in a package.use file.
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
anyc
Tux's lil' helper
Tux's lil' helper


Joined: 31 May 2004
Posts: 119

PostPosted: Fri Mar 15, 2013 5:09 pm    Post subject: Reply with quote

I wrote some lines how I managed this on my system here. But the important parts were already written in this thread. It also contains a list of the required keywords for the ebuilds that will replace emul-*-xlibs.
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 3781

PostPosted: Fri Mar 15, 2013 9:16 pm    Post subject: Reply with quote

empanyc wrote:
It also contains a list of the required keywords for the ebuilds that will replace emul-*-xlibs.

If you can live with some false positives (for packages which have meanwhile the USE-flags not only in their heighest version):
Code:
eix --use abi_x86_32 --format '<bestslotupgradeversions*:EQNAMEVERSION>'
Back to top
View user's profile Send private message
Linubie
Tux's lil' helper
Tux's lil' helper


Joined: 11 Jun 2004
Posts: 113

PostPosted: Sat Mar 16, 2013 3:04 pm    Post subject: Reply with quote

XavierMiller wrote:
Wine 1.5.25 emerged fine today for me.


Thanks for confirming it, but I try since hours to puzzle it out, with no successes.
I followed this link
http://kicherer.org/joomla/index.php/en/blog/liste/29-transition-of-emul-packages-to-true-multilib
and have updated my package.keyword and make.conf for ABI 64 32


#ABI 64 32
=x11-proto/xineramaproto-1.2.1-r1 ~amd64
=x11-libs/libXinerama-1.1.2-r1 ~amd64
=x11-libs/libXScrnSaver-1.2.2-r1 ~amd64
=x11-libs/libXau-1.0.7-r1 ~amd64
=x11-proto/xextproto-7.2.1-r1 ~amd64
=x11-libs/libXpm-3.5.10-r1 ~amd64
=x11-libs/libXxf86dga-1.1.3-r1 ~amd64
=x11-proto/xf86vidmodeproto-2.3.1-r1 ~amd64
=x11-libs/libXft-2.3.1-r1 ~amd64
=x11-proto/xf86bigfontproto-1.2.0-r1 ~amd64
=x11-proto/xf86dgaproto-2.1-r2 ~amd64
=x11-libs/libXtst-1.2.1-r1 ~amd64
=x11-libs/libpciaccess-0.13.1-r1 ~amd64
=x11-libs/libXext-1.3.1-r1 ~amd64
=x11-libs/libX11-1.5.0-r1 ~amd64
=x11-libs/libvdpau-0.5-r1 ~amd64
=x11-libs/libXvMC-1.0.7-r1 ~amd64
=media-libs/fontconfig-2.10.2-r1 ~amd64
=x11-proto/renderproto-0.11.1-r1 ~amd64
=x11-libs/libXmu-1.1.1-r1 ~amd64
=x11-libs/libXxf86vm-1.1.2-r1 ~amd64
=x11-proto/recordproto-1.14.2-r1 ~amd64
=x11-libs/libxcb-1.9-r1 ~amd64
=x11-proto/compositeproto-0.4.2-r1 ~amd64
=x11-proto/xproto-7.0.23-r2 ~amd64
=x11-proto/xcb-proto-1.8-r1 ~amd64
=x11-libs/libXcomposite-0.4.4-r1 ~amd64
=x11-libs/libXt-1.1.3-r1 ~amd64
=x11-libs/libXp-1.0.1-r1 ~amd64
=x11-proto/inputproto-2.3 ~amd64
=x11-libs/libXrandr-1.4.0-r1 ~amd64
=x11-libs/libXv-1.0.7-r1 ~amd64
=x11-proto/scrnsaverproto-1.2.2-r1 ~amd64
=x11-libs/libXcursor-1.1.13-r1 ~amd64
=x11-proto/randrproto-1.4.0-r1 ~amd64
=x11-libs/libXaw-1.0.11-r2 ~amd64
=media-libs/freetype-2.4.11-r2 ~amd64
=x11-proto/printproto-1.0.5-r1 ~amd64
=x11-libs/libXfixes-5.0-r1 ~amd64
=x11-libs/libXi-1.7 ~amd64
=x11-proto/videoproto-2.3.1-r1 ~amd64
=x11-libs/libXrender-0.9.7-r1 ~amd64
=dev-libs/libpthread-stubs-0.3-r1 ~amd64
=x11-libs/libICE-1.0.8-r1 ~amd64
=x11-proto/damageproto-1.2.1-r1 ~amd64
=x11-proto/kbproto-1.0.6-r1 ~amd64
=x11-libs/libXdmcp-1.1.1-r1 ~amd64
=x11-libs/libSM-1.2.1-r1 ~amd64
=x11-libs/libXdamage-1.1.4-r1 ~amd64
=x11-proto/fixesproto-5.0-r1 ~amd64

=app-emulation/emul-linux-x86-baselibs-20130224 ~amd64
=app-emulation/emul-linux-x86-sdl-20130224 ~amd64
=app-emulation/emul-linux-x86-gtklibs-20130224 ~amd64
=app-emulation/emul-linux-x86-medialibs-20130224 ~amd64
=app-emulation/emul-linux-x86-soundlibs-20130224 ~amd64
=app-emulation/emul-linux-x86-db-20130224 ~amd64
=app-emulation/emul-linux-x86-gstplugins-20130224 ~amd64
=app-emulation/emul-linux-x86-xlibs-20130224-r1

But I still stuck emerging wine:


emerge wine -av

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ~] app-emulation/emul-linux-x86-baselibs-20130224 USE="development" 0 kB
[ebuild N ] app-emulation/emul-linux-x86-baselibs-20121202 USE="development" 0 kB
[ebuild N ] app-emulation/emul-linux-x86-xlibs-20121202 USE="development opengl" 0 kB
[ebuild R ~] app-emulation/wine-1.5.25 USE="X alsa cups fontconfig gecko gphoto2 gstreamer jpeg lcms mono mp3 ncurses nls openal opengl oss perl png prelink scanner ssl threads truetype v4l xcomposite xinerama xml -capi -custom-cflags -gsm -ldap -odbc -opencl -osmesa -pulseaudio -samba (-selinux) {-test} -udisks" ABI_X86="32 64 (-x32)" 0 kB
[blocks B ] <=app-emulation/emul-linux-x86-xlibs-20130224 ("<=app-emulation/emul-linux-x86-xlibs-20130224" is blocking x11-libs/libXdmcp-1.1.1-r1, x11-libs/libXtst-1.2.1-r1, x11-libs/libXt-1.1.3-r1, x11-libs/libXpm-3.5.10-r1, x11-libs/libXrandr-1.4.0-r1, x11-libs/libXcomposite-0.4.4-r1, x11-proto/xf86vidmodeproto-2.3.1-r1, x11-libs/libXv-1.0.7-r1, x11-proto/xineramaproto-1.2.1-r1, x11-libs/libXxf86vm-1.1.2-r1, x11-proto/printproto-1.0.5-r1, media-libs/fontconfig-2.10.2-r1, x11-proto/inputproto-2.3, x11-libs/libXdamage-1.1.4-r1, x11-proto/xf86bigfontproto-1.2.0-r1, x11-libs/libXaw-1.0.11-r2, x11-proto/xextproto-7.2.1-r1, x11-libs/libICE-1.0.8-r1, x11-libs/libvdpau-0.5-r1, x11-proto/xproto-7.0.23-r2, x11-libs/libX11-1.5.0-r1, x11-libs/libXi-1.7, x11-proto/xcb-proto-1.8-r1, x11-libs/libXmu-1.1.1-r1, x11-libs/libxcb-1.9-r1, media-libs/freetype-2.4.11-r2, x11-libs/libXxf86dga-1.1.3-r1, x11-proto/renderproto-0.11.1-r1, x11-proto/damageproto-1.2.1-r1, x11-proto/recordproto-1.14.2-r1, x11-proto/scrnsaverproto-1.2.2-r1, x11-libs/libXScrnSaver-1.2.2-r1, x11-libs/libXfixes-5.0-r1, x11-libs/libXext-1.3.1-r1, x11-libs/libXinerama-1.1.2-r1, x11-proto/kbproto-1.0.6-r1, x11-libs/libXau-1.0.7-r1, x11-proto/compositeproto-0.4.2-r1, dev-libs/libpthread-stubs-0.3-r1, x11-proto/videoproto-2.3.1-r1, x11-proto/randrproto-1.4.0-r1, x11-proto/xf86dgaproto-2.1-r2, x11-proto/fixesproto-5.0-r1, x11-libs/libXvMC-1.0.7-r1, x11-libs/libpciaccess-0.13.1-r1, x11-libs/libXcursor-1.1.13-r1, x11-libs/libXp-1.0.1-r1, x11-libs/libXrender-0.9.7-r1, x11-libs/libSM-1.2.1-r1, x11-libs/libXft-2.3.1-r1)

Total: 4 packages (3 new, 1 reinstall), Size of downloads: 0 kB
Conflict: 1 block (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-emulation/emul-linux-x86-baselibs:0

(app-emulation/emul-linux-x86-baselibs-20130224::gentoo, ebuild scheduled for merge) pulled in by
>=app-emulation/emul-linux-x86-baselibs-20130224[development] required by (app-emulation/wine-1.5.25::gentoo, ebuild scheduled for merge)
~app-emulation/emul-linux-x86-baselibs-20130224 required by (app-emulation/emul-linux-x86-medialibs-20130224::gentoo, installed)
(and 5 more with the same problems)

(app-emulation/emul-linux-x86-baselibs-20121202::gentoo, ebuild scheduled for merge) pulled in by
~app-emulation/emul-linux-x86-baselibs-20121202 required by (app-emulation/emul-linux-x86-xlibs-20121202::gentoo, ebuild scheduled for merge)
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
j_c_p
Apprentice
Apprentice


Joined: 30 Aug 2003
Posts: 296
Location: France - Colmar

PostPosted: Sat Mar 16, 2013 10:18 pm    Post subject: Reply with quote

Linubie, you can to use the following lines :

in /etc/portage/package.keywords
Code:
=x11-libs/libXaw-1.0.11-r2 ~amd64
=x11-libs/libXcursor-1.1.13-r1 ~amd64
=media-libs/freetype-2.4.11-r2 ~amd64
=x11-libs/libXinerama-1.1.2-r1 ~amd64
=x11-libs/libXv-1.0.7-r1 ~amd64
=x11-libs/libXtst-1.2.1-r1 ~amd64
=x11-libs/libxcb-1.9-r1 ~amd64
=x11-libs/libXrender-0.9.7-r1 ~amd64
=x11-libs/libXfixes-5.0-r1 ~amd64
=x11-libs/libXt-1.1.3-r1 ~amd64
=x11-libs/libXpm-3.5.10-r1 ~amd64
=x11-libs/libXi-1.6.2-r1 ~amd64
=x11-proto/xproto-7.0.23-r2 ~amd64
=x11-libs/libX11-1.5.0-r1 ~amd64
=x11-proto/xextproto-7.2.1-r1 ~amd64
=x11-proto/inputproto-2.2-r1 ~amd64
=x11-libs/libXext-1.3.1-r1 ~amd64
=x11-proto/fixesproto-5.0-r1 ~amd64
=x11-proto/videoproto-2.3.1-r1 ~amd64
=x11-libs/libXmu-1.1.1-r1 ~amd64
=x11-proto/recordproto-1.14.2-r1 ~amd64
=x11-proto/xineramaproto-1.2.1-r1 ~amd64
=x11-proto/renderproto-0.11.1-r1 ~amd64
=x11-libs/libXdmcp-1.1.1-r1 ~amd64
=x11-libs/libXau-1.0.7-r1 ~amd64
=x11-libs/libXrandr-1.4.0-r1 ~amd64
=x11-proto/randrproto-1.4.0-r1 ~amd64
=x11-libs/libXp-1.0.1-r1 ~amd64
=x11-libs/libSM-1.2.1-r1 ~amd64
=x11-libs/libICE-1.0.8-r1 ~amd64
=x11-libs/libpciaccess-0.13.1-r1 ~amd64
=x11-libs/libXdamage-1.1.4-r1 ~amd64
=x11-proto/damageproto-1.2.1-r1 ~amd64
=x11-libs/libXvMC-1.0.7-r1 ~amd64
=x11-libs/libXScrnSaver-1.2.2-r1 ~amd64
=x11-proto/scrnsaverproto-1.2.2-r1 ~amd64
=x11-libs/libvdpau-0.5-r1 ~amd64
=media-libs/fontconfig-2.10.2-r1 ~amd64
=x11-libs/libXcomposite-0.4.4-r1 ~amd64
=x11-proto/compositeproto-0.4.2-r1 ~amd64
=x11-libs/libXxf86dga-1.1.3-r1 ~amd64
=x11-libs/libXft-2.3.1-r1 ~amd64
=x11-libs/libXxf86vm-1.1.2-r1 ~amd64
=x11-proto/xf86vidmodeproto-2.3.1-r1 ~amd64
=x11-proto/printproto-1.0.5-r1 ~amd64
=x11-proto/xf86dgaproto-2.1-r2 ~amd64
=x11-proto/xf86bigfontproto-1.2.0-r1 ~amd64
=x11-proto/kbproto-1.0.6-r1 ~amd64
=dev-libs/libpthread-stubs-0.3-r1 ~amd64
=x11-proto/xcb-proto-1.8-r1 ~amd64
=app-emulation/emul-linux-x86-xlibs-20130224-r1 ~amd64
=app-emulation/emul-linux-x86-gstplugins-20130224 ~amd64


in /etc/portage/package.unmask
Code:
=app-emulation/emul-linux-x86-xlibs-20130224-r1


in /etc/make.conf
Code:
ABI_X86="64 32"


Code:
phoenix64 jcp # equery depgraph app-emulation/wine-1.5.25
 * Searching for wine1.5.25 in app-emulation ...

 * dependency graph for app-emulation/wine-1.5.25
 `--  app-emulation/wine-1.5.25  ~amd64
   `--  media-libs/freetype-2.4.11-r2  (>=media-libs/freetype-2.0.0) ~amd64
   `--  media-fonts/corefonts-1-r6  (media-fonts/corefonts) ~amd64
   `--  dev-lang/perl-5.12.4-r1  (dev-lang/perl) amd64
   `--  dev-perl/XML-Simple-2.200.0  (dev-perl/XML-Simple) ~amd64
   `--  net-dialup/capi4k-utils-20050718-r3  (net-dialup/capi4k-utils) amd64
   `--  sys-libs/ncurses-5.9-r2  (>=sys-libs/ncurses-5.2) amd64
   `--  media-libs/fontconfig-2.10.2-r1  (media-libs/fontconfig) ~amd64
   `--  media-libs/libgphoto2-2.4.14  (media-libs/libgphoto2) amd64
   `--  media-libs/openal-1.15.1  (media-libs/openal) ~amd64
   `--  sys-apps/dbus-1.6.8  (sys-apps/dbus) amd64
   `--  sys-fs/udisks-2.0.91  (sys-fs/udisks) amd64
   `--  media-libs/gstreamer-0.10.36  (media-libs/gstreamer) ~amd64
   `--  media-libs/gst-plugins-base-0.10.36  (media-libs/gst-plugins-base) ~amd64
   `--  x11-libs/libXcursor-1.1.13-r1  (x11-libs/libXcursor) ~amd64
   `--  x11-libs/libXext-1.3.1-r1  (x11-libs/libXext) ~amd64
   `--  x11-libs/libXrandr-1.4.0-r1  (x11-libs/libXrandr) ~amd64
   `--  x11-libs/libXi-1.6.2-r1  (x11-libs/libXi) ~amd64
   `--  x11-libs/libXmu-1.1.1-r1  (x11-libs/libXmu) ~amd64
   `--  x11-libs/libXxf86vm-1.1.2-r1  (x11-libs/libXxf86vm) ~amd64
   `--  x11-libs/libXinerama-1.1.2-r1  (x11-libs/libXinerama) ~amd64
   `--  media-libs/alsa-lib-1.0.26  (media-libs/alsa-lib) ~amd64
   `--  net-print/cups-1.6.1  (net-print/cups) ~amd64
   `--  virtual/opencl-0-r2  (virtual/opencl) amd64
   `--  virtual/glu-9.0  (virtual/glu) amd64
   `--  virtual/opengl-7.0  (virtual/opengl) amd64
   `--  media-sound/gsm-1.0.13  (media-sound/gsm) amd64
   `--  virtual/jpeg-0  (virtual/jpeg) amd64
   `--  net-nds/openldap-2.4.30  (net-nds/openldap) amd64
   `--  media-libs/lcms-1.19  (media-libs/lcms) amd64
   `--  media-sound/mpg123-1.14.4  (>=media-sound/mpg123-1.5.0) amd64
   `--  sys-devel/gettext-0.18.1.1-r3  (sys-devel/gettext) amd64
   `--  dev-db/unixODBC-2.3.1  (dev-db/unixODBC) amd64
   `--  media-libs/mesa-9.0.1  (media-libs/mesa) amd64  [osmesa]
   `--  net-fs/samba-3.6.12  (>=net-fs/samba-3.0.25) amd64
   `--  sec-policy/selinux-wine-9999  (sec-policy/selinux-wine) M[package.mask]
   `--  dev-libs/libxml2-2.9.0-r2  (dev-libs/libxml2) amd64
   `--  dev-libs/libxslt-1.1.28  (dev-libs/libxslt) amd64
   `--  media-gfx/sane-backends-1.0.23  (media-gfx/sane-backends) amd64
   `--  dev-libs/openssl-1.0.1c  (dev-libs/openssl) amd64
   `--  net-libs/gnutls-2.12.23  (net-libs/gnutls) amd64
   `--  media-libs/libpng-1.5.14  (media-libs/libpng) ~amd64
   `--  media-libs/libv4l-0.8.9  (media-libs/libv4l) amd64
   `--  x11-libs/libXcomposite-0.4.4-r1  (x11-libs/libXcomposite) ~amd64
   `--  app-emulation/emul-linux-x86-gstplugins-20130224  (app-emulation/emul-linux-x86-gstplugins) ~amd64
   `--  app-emulation/emul-linux-x86-xlibs-20130224-r1  (>=app-emulation/emul-linux-x86-xlibs-2.1) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-soundlibs-20130224  (>=app-emulation/emul-linux-x86-soundlibs-2.1) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-db-20130224  (app-emulation/emul-linux-x86-db) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-sdl-20130224  (app-emulation/emul-linux-x86-sdl) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-opengl-20130224  (app-emulation/emul-linux-x86-opengl) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-medialibs-20130224  (app-emulation/emul-linux-x86-medialibs) ~amd64  [development]
   `--  app-emulation/emul-linux-x86-baselibs-20130224  (>=app-emulation/emul-linux-x86-baselibs-20130224) ~amd64  [development]
   `--  sys-kernel/linux-headers-3.8  (>=sys-kernel/linux-headers-2.6) ~amd64
   `--  media-sound/pulseaudio-2.1-r1  (media-sound/pulseaudio) amd64
   `--  sys-auth/rtkit-0.10  (sys-auth/rtkit) amd64
   `--  x11-proto/inputproto-2.2-r1  (x11-proto/inputproto) ~amd64
   `--  x11-proto/xextproto-7.2.1-r1  (x11-proto/xextproto) ~amd64
   `--  x11-proto/xf86vidmodeproto-2.3.1-r1  (x11-proto/xf86vidmodeproto) ~amd64
   `--  x11-proto/xineramaproto-1.2.1-r1  (x11-proto/xineramaproto) ~amd64
   `--  sys-devel/prelink-20110511  (sys-devel/prelink) amd64
   `--  virtual/pkgconfig-0  (virtual/pkgconfig) amd64
   `--  virtual/yacc-0  (virtual/yacc) amd64
   `--  sys-devel/flex-2.5.37  (sys-devel/flex) amd64
   `--  sys-devel/automake-1.11.6  (>=sys-devel/automake-1.11.1) amd64
   `--  sys-devel/automake-1.12.6  (>=sys-devel/automake-1.12) [~amd64 keyword]
   `--  sys-devel/autoconf-2.69  (>=sys-devel/autoconf-2.68) amd64
   `--  sys-devel/libtool-2.4-r1  (sys-devel/libtool) amd64
   `--  sys-apps/sed-4.2.1-r1  (>=sys-apps/sed-4) amd64
   `--  x11-base/xorg-server-1.13.1  (x11-base/xorg-server) amd64  [xvfb]
   `--  x11-apps/xhost-1.0.5  (x11-apps/xhost) amd64
[ app-emulation/wine-1.5.25 stats: packages (70), max depth (1) ]


That's ok for me.
_________________
Lian Li PC60 - AMD Phenom II X6 1100T BE - Asrock 990FX EXTREME9 - MSI 260GTX+ - M-Audio Delta Audiophile 24/96
Kernel 3.12.5 KDE 4.11.4 GCC 4.8.2 x86_64 12/14/2013
Back to top
View user's profile Send private message
Linubie
Tux's lil' helper
Tux's lil' helper


Joined: 11 Jun 2004
Posts: 113

PostPosted: Sat Mar 16, 2013 11:12 pm    Post subject: Reply with quote

Thank you j_c_p, it's working for me too
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
drardbeg
n00b
n00b


Joined: 17 Mar 2013
Posts: 1

PostPosted: Sun Mar 17, 2013 10:28 am    Post subject: Wine sound issues with pulse and alsa Reply with quote

Hey guys,

following the instructions here I could also install all the xlibs with the new abi_x86_32 USE flag. (I'm using testing anyway.)
I could also installl wine following the post of slackline. The win32 application I want to use starts, but it lacks sound.
It seems like wine tries to load the 64-bit library:

ALSA lib conf.c:3314:(snd_config_hooks_call) Cannot open shared library /usr/lib64/alsa-lib/libasound_module_conf_pulse.so
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM default

emerge --info wine:

Quote:

Portage 2.2.0_alpha166 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.2, glibc-2.16.0, 3.8.3 x86_64)
=================================================================
System Settings
=================================================================
System uname: Linux-3.8.3-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-gentoo-2.2
KiB Mem: 4045300 total, 316324 free
KiB Swap: 4193272 total, 3995560 free
Timestamp of tree: Sun, 17 Mar 2013 09:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.9 [enabled]
app-shells/bash: 4.2_p45
dev-java/java-config: 2.1.12-r1
dev-lang/python: 2.6.8-r1, 2.7.3-r3, 3.2.3-r2
dev-util/ccache: 3.1.9
dev-util/cmake: 2.8.10.2-r1
dev-util/pkgconfig: 0.28
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.11.8
sys-apps/sandbox: 2.6
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.13.1
sys-devel/binutils: 2.23.1
sys-devel/gcc: 4.7.2-r1
sys-devel/gcc-config: 1.8
sys-devel/libtool: 2.4.2
sys-devel/make: 3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc: 2.16.0
Repositories:

gentoo
location: /usr/portage
sync: rsync://rsync.gentoo.org/gentoo-portage
priority: -1000

java-overlay
location: /var/lib/layman/java-overlay
masters: gentoo
priority: 0

myoverlay
location: /var/lib/layman/myoverlay
masters: gentoo
priority: 1

Installed sets: @system
ABI="amd64"
ABI_X86="64 32"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 skype-eula google-talkplugin googleearth Oracle-BCLA-JavaSE skype-4.0.0.7-copyright AdobeFlash-11.x"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode multilib"
CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump"
CAMERAS="ptp2"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class"
COLORFGBG="15;0"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-yy9EgzpIoE,guid=d35ca54b70b92128740394f45144b780"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="KDE-4"
DISPLAY=":0"
DISTDIR="/usr/portage/distfiles"
DM_CONTROL="/var/run/xdmctl"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="-va"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
FFLAGS="-O2 -pipe"
GCC_SPECS=""
GENERATION="2"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://gentoo.mneisen.org/ http://gentoo.supp.name/ http://gentoo.mirror.pw.edu.pl/ http://gentoo.virginmedia.com/"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GRUB_PLATFORMS=""
GSETTINGS_BACKEND="gconf"
GS_LIB="/home/maarster/.fonts"
GTK2_RC_FILES="/etc/gtk-2.0/gtkrc:/home/maarster/.gtkrc-2.0:/home/maarster/.kde4/share/config/gtkrc-2.0"
GTK_RC_FILES="/etc/gtk/gtkrc:/home/maarster/.gtkrc:/home/maarster/.kde4/share/config/gtkrc"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HG="/usr/bin/hg"
HOME="/home/maarster"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.2/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/info:/usr/share/info/emacs-24"
INPUT_DEVICES="keyboard mouse evdev"
IUSE_IMPLICIT="prefix"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KDE_FULL_SESSION="true"
KDE_MULTIHEAD="false"
KDE_SESSION_UID="1001"
KDE_SESSION_VERSION="4"
KERNEL="linux"
KONSOLE_DBUS_SERVICE=":1.77"
KONSOLE_DBUS_SESSION="/Sessions/1"
KONSOLE_DBUS_WINDOW="/Windows/1"
KONSOLE_PROFILE_NAME="Shell"
LANGUAGE=""
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_CTYPE="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,now -Wl,--sort-common"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="en de"
LOGNAME="maarster"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j3"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.2/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/man:/opt/blackdown-jdk-1.4.2.03/man:/etc/java-config-2/current-system-vm/man/:/usr/lib64/php5.4/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.2/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OLDPWD="/home/maarster"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.2:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/games/bin"
PHP_INI_VERSION="production"
PHP_TARGETS="php5-4"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh x86-solaris sparc-fbsd"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary:log,warn,error,qa echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/java-overlay /var/lib/layman/myoverlay"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so /usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so:/opt/bin/skype"
PROFILEHOME=""
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/home/maarster/.wine/drive_c/Program Files (x86)/PokerStars"
PYTHONDONTWRITEBYTECODE="1"
PYTHONPATH="/usr/lib/portage/pym"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_2"
QT_GRAPHICSSYSTEM="raster"
QT_PLUGIN_PATH="/usr/lib64/kde4/plugins:/home/maarster/.kde4/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.2:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby19"
R_HOME="/usr/lib64/R"
SESSION_MANAGER="local/monster:@/tmp/.ICE-unix/2619,unix/monster:/tmp/.ICE-unix/2619"
SGML_CATALOG_FILES="/etc/sgml/sgml-docbook.cat:/etc/sgml/sgml-docbook-3.1.cat:/etc/sgml/xml-docbook-4.1.2.cat:/etc/sgml/openjade-1.3.2.cat:/etc/sgml/sgml-lite.cat:/etc/sgml/xml-simple-docbook-1.0.cat:/etc/sgml/sgml-docbook-3.0.cat:/etc/sgml/sgml-docbook-4.0.cat:/etc/sgml/xml-docbook-4.3.cat:/etc/sgml/dsssl-docbook-stylesheets.cat:/etc/sgml/xml-simple-docbook-4.1.2.4.cat:/etc/sgml/xml-docbook-4.4.cat:/etc/sgml/xml-docbook-4.5.cat:/etc/sgml/xml-docbook-4.2.cat:/etc/sgml/sgml-ent.cat:/etc/sgml/sgml-docbook-4.1.cat"
SHELL="/bin/bash"
SHELL_SESSION_ID="e87782e103ea400087fa5031234b170c"
SHLVL="2"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
UNINSTALL_IGNORE="/lib/modules/*"
USE="X a52 aac acl acpi alsa amd64 apache2 avahi bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups custom-optimization cxx dbus declarative dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran gdbm gif glitz gpm hddtemp iconv icu ipv6 java java6 jpeg kde kipi lcms ldap libnotify lm_sensors mad mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio python qt3-support qt3support qt4 readline ruby19 sdl semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vdpau vorbis wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en de" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nv" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="maarster"
USERLAND="GNU"
USE_EXPAND="ABI_X86 ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS CURL_SSL DRACUT_MODULES DVB_CARDS ELIBC ENLIGHTENMENT_MODULES FCDSL_CARDS FFTOOLS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LIBREOFFICE_EXTENSIONS LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux hppa hppa-hpux ia64 ia64-hpux ia64-linux m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos ppc-openbsd s390 sh sparc sparc64-freebsd sparc64-solaris sparc-fbsd sparc-solaris x64-freebsd x64-macos x64-openbsd x64-solaris x86 x86-cygwin x86-fbsd x86-freebsd x86-interix x86-linux x86-macos x86-netbsd x86-openbsd x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX Cygwin Darwin FreeBSD glibc HPUX Interix mintlib NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Cygwin Darwin FreeBSD freemint HPUX Interix linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VBOX_APP_HOME="/opt/VirtualBox"
VIDEO_CARDS="nvidia nv"
VMHANDLE="blackdown-jdk-1.4.2"
WINDOWID="98566171"
WINDOWPATH="7"
XCURSOR_THEME="Oxygen_White"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XDG_MENU_PREFIX="kde-4-"
XDG_SESSION_COOKIE="3288688d440b34d896fe807000000023-1363457919.921035-1986909466"
XDM_MANAGED="method=classic"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"

=================================================================
Package Settings
=================================================================

app-emulation/wine-1.5.25 was built with the following:
USE="X alsa cups gecko jpeg lcms ldap mp3 ncurses nls opengl oss perl png prelink pulseaudio ssl threads truetype udisks xcomposite xinerama xml -capi -custom-cflags -fontconfig -gphoto2 -gsm -gstreamer -mono -odbc -openal -opencl -osmesa -samba -scanner (-selinux) -test -v4l" ABI_X86="32 64 -x32"


My question would be if it is worth filing a bug or if it just a matter of time until the emul-linux-x86-soundlibs get converted to the native multilib framework.

Excuse the lengthy post.
Regards,
Sebastian
Back to top
View user's profile Send private message
blietaer
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2006
Posts: 103

PostPosted: Mon Mar 18, 2013 11:59 am    Post subject: Reply with quote

Linubie wrote:
Thank you j_c_p, it's working for me too

Yessssssssss that was the trick: unmasking (while having the "64 32" in make.conf)
....and no need for huge package.use !
(nor package.keywords; since I am already arching ~amd64
Back to top
View user's profile Send private message
blietaer
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2006
Posts: 103

PostPosted: Sun Apr 21, 2013 11:44 am    Post subject: Reply with quote

Polynomial-C wrote:
If anyone being on X86_ABI="32 64" now encounters tons of blockers, just do the following:
Code:
echo "=app-emulation/emul-linux-x86-xlibs-20130224-r1" >> /etc/portage/package.unmask
See bug 461608 for details.

That was indeed the wise advice until this week-end.

Now Font stuff are back in the ABI troubles:

Code:
Total: 20 packages (17 upgrades, 2 downgrades, 1 new), Size of downloads: 20,748 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/fontconfig:1.0

  (media-libs/fontconfig-2.10.2-r1::gentoo, installed) pulled in by
    media-libs/fontconfig[abi_x86_32] required by (app-emulation/emul-linux-x86-xlibs-20130224-r1::gentoo, installed)
    media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?] required by (x11-libs/libXft-2.3.1-r1::gentoo, installed)

  (media-libs/fontconfig-2.10.2::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

media-libs/freetype:2

  (media-libs/freetype-2.4.11::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/freetype-2.4.11-r2::gentoo, installed) pulled in by
    media-libs/freetype[abi_x86_32] required by (app-emulation/emul-linux-x86-xlibs-20130224-r1::gentoo, installed)
    >=media-libs/freetype-2.2.1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?] required by (media-libs/fontconfig-2.10.2-r1::gentoo, installed)
    media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?] required by (x11-libs/libXft-2.3.1-r1::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
while emerging -auvDN world

:oops:
Back to top
View user's profile Send private message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 729
Location: Stuttgart, Germany

PostPosted: Mon Apr 22, 2013 2:21 pm    Post subject: Reply with quote

blietaer: According to this bug, the multilib changes to fontconfig and libXft were committed by someone who is not the maintainer of those packages, and the maintainer himself does not support the changes at this time. I'm hoping that gets sorted out soon, because masking fontconfig forces emul-linux-x86-xlibs back down to non-multilib, along with everything that depends on it. It's a bit messy.

Cheers,

EE
Back to top
View user's profile Send private message
anyc
Tux's lil' helper
Tux's lil' helper


Joined: 31 May 2004
Posts: 119

PostPosted: Mon Apr 22, 2013 5:17 pm    Post subject: Reply with quote

I've updated my guide, I hope it covers all required changes now.

Last edited by anyc on Tue Apr 23, 2013 9:27 am; edited 1 time in total
Back to top
View user's profile Send private message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 729
Location: Stuttgart, Germany

PostPosted: Tue Apr 23, 2013 9:21 am    Post subject: Reply with quote

empanyc: your guide's SSL setup made my browser freak out. Is it legit?
Back to top
View user's profile Send private message
anyc
Tux's lil' helper
Tux's lil' helper


Joined: 31 May 2004
Posts: 119

PostPosted: Tue Apr 23, 2013 9:29 am    Post subject: Reply with quote

ExecutorElassus wrote:
empanyc: your guide's SSL setup made my browser freak out. Is it legit?


Ah sorry, didn't notice the https, I fixed the link. The site is currently using a catchall certificate from the webhoster.
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 870
Location: Mount Vernon, NY

PostPosted: Tue Apr 23, 2013 12:34 pm    Post subject: Reply with quote

I am about 1500 packages into a world rebuild (2000 total) and all packages have built so far. I will report later as to what hasn't built. All I did since I am already running ~amd64 was add ABI_X86="32 64" to my make.conf and these four lines to package.unmask

app-emulation/emul-linux-x86-xlibs
x11-libs/libXft
=media-libs/fontconfig-2.10.2-r1
media-libs/freetype
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 870
Location: Mount Vernon, NY

PostPosted: Wed Apr 24, 2013 1:06 am    Post subject: Reply with quote

all built
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
erolmutlu
n00b
n00b


Joined: 16 Oct 2006
Posts: 26

PostPosted: Sun Apr 28, 2013 7:41 am    Post subject: Reply with quote

billydv wrote:
I am about 1500 packages into a world rebuild (2000 total) and all packages have built so far. I will report later as to what hasn't built. All I did since I am already running ~amd64 was add ABI_X86="32 64" to my make.conf and these four lines to package.unmask

app-emulation/emul-linux-x86-xlibs
x11-libs/libXft
=media-libs/fontconfig-2.10.2-r1
media-libs/freetype


works for me. thanks
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 179

PostPosted: Tue Sep 24, 2013 3:26 pm    Post subject: Reply with quote

XavierMiller wrote:
In my case, I didn't activated globally ABI_X86, but per package in a package.use file.


Xavier,

this is exactly where I am lost.

In my opinion, there is no reason to install any 32-bit libs until a pre-compiled 32-bit only package like Skype depends on it.
So instead of compiling everything as 64-bit and 32-bit in parallel, would it not make much more sense, that installation of "Skype" just triggers additional installation/compilation of required 32-bit libs?

How is this whole thing supposed to work at the end? Please enlighten me, thanks a lot.

Best regards
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 179

PostPosted: Sun Sep 29, 2013 2:34 am    Post subject: Reply with quote

Just hit a nice example of what I mean:

Globally set 32 bit abi_x86 pulls in adobe-flash and nsplugion-wrapper, while adobe-flash is available at 32 bit! (Which is logically correct related to the global keyword, but not the desired approach in 99% of the use cases).

Further more it complained before on

Code:

      * dev-libs/nss-3.15.2:0::gentoo
        Did not meet dev-libs/nss[abi_x86_32(-)], use existing if possible, installing to / from www-plugins/adobe-flash-11.2.202.310-r1:0::gentoo
            Flag 'abi_x86_32' enabled, assuming disabled if missing


instead of just pulling/recompiling nss[abi_x86_32].

What is the rationale behind that implementation please?
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 3781

PostPosted: Sun Sep 29, 2013 11:38 am    Post subject: Reply with quote

are wrote:
In my opinion, there is no reason to install any 32-bit libs until a pre-compiled 32-bit only package like Skype depends on it.

So you just disable it globally and enable the correpesponding USE-Flags for those packages for which portage requires it. What is the problem?
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 179

PostPosted: Mon Sep 30, 2013 4:26 am    Post subject: Reply with quote

mv wrote:
are wrote:
In my opinion, there is no reason to install any 32-bit libs until a pre-compiled 32-bit only package like Skype depends on it.

So you just disable it globally and enable the corresponding USE-Flags for those packages for which portage requires it. What is the problem?


I beg your pardon but I do not understand yet how disable it globally but set it for all (sub-) dependencies explicitly only. Example for wine:

Code:

abi_x86_32? (
                                      gstreamer? (
                                          app-emulation/emul-linux-x86-gstplugins
                                          app-emulation/emul-linux-x86-medialibs[development]
                                      )
                                      truetype? (
                                          >=app-emulation/emul-linux-x86-xlibs-2.1[development]
                                      )
                                      X? (
                                          >=app-emulation/emul-linux-x86-xlibs-2.1[development]
                                          >=app-emulation/emul-linux-x86-soundlibs-2.1[development]
                                      )
                                      mp3? (
                                          app-emulation/emul-linux-x86-soundlibs[development]
                                      )
                                      odbc? (
                                          app-emulation/emul-linux-x86-db[development]
                                      )
                                      openal? (
                                          app-emulation/emul-linux-x86-sdl[development]
                                      )
                                      opengl? (
                                          app-emulation/emul-linux-x86-opengl[development]
                                      )
                                      osmesa? (
                                          >=app-emulation/emul-linux-x86-opengl-20121028[development]
                                      )
                                      scanner? (
                                          app-emulation/emul-linux-x86-medialibs[development]
                                      )
                                      v4l? (
                                          app-emulation/emul-linux-x86-medialibs[development]
                                      )
                                      >=app-emulation/emul-linux-x86-baselibs-20130224[development]
                                  )


Do you ask me to manage a use.conf which lists all the libraries above with "ABI_X86: -* 32 64" explicitly set? In case the answer is "yes", what about Skype then:

Code:

amd64? (
                                  || (
                                      (
                                          dev-qt/qtcore:4[abi_x86_32(-)]
                                          dev-qt/qtdbus:4[abi_x86_32(-)]
                                          dev-qt/qtgui:4[accessibility,abi_x86_32(-)]
                                          dev-qt/qtwebkit:4[abi_x86_32(-)]
                                      )
                                      >=app-emulation/emul-linux-x86-qtlibs-20120520[-abi_x86_32(-)]
                                  )
                                  || (
                                      media-libs/alsa-lib[abi_x86_32(-)]
                                      >=app-emulation/emul-linux-x86-soundlibs-20120520[-abi_x86_32(-)]
                                  )
                                  || (
                                      (
                                          x11-libs/libX11[abi_x86_32(-)]
                                          x11-libs/libXext[abi_x86_32(-)]
                                          x11-libs/libXScrnSaver[abi_x86_32(-)]
                                          x11-libs/libXv[abi_x86_32(-)]
                                      )
                                      >=app-emulation/emul-linux-x86-xlibs-20120520[-abi_x86_32(-)]
                                  )
                              )

Detecting and setting the flags for the sub-dependencies of x11-libs/libX11 x11-libs/libXext x11-libs/libXScrnSaver x11-libs/libXv also manually?! :O
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 3781

PostPosted: Mon Sep 30, 2013 7:28 am    Post subject: Reply with quote

are wrote:
Do you ask me to manage a use.conf which lists all the libraries above with "ABI_X86: -* 32 64" explicitly set?

Yes. Portage will help you to find out by its error message.
Alternatively, you can unset explicitly what you do not want. In my case, these are only a few packages.
I use the following file in which I set both, positive and negative, so you can pick the part which you prefer.
Of course, this file must currently be regularly upgraded until the 32-bit transition is completely done in the tree. It is intentional that some implicit dependencies are listed in duplicate here, so that I am later able to remove whole blocks once some emul-* packages can be removed: I hope that the latter will happen once the transition is complete since e.g. there is certainly a lot of stuff in the emul-* packages which is not needed by wine (I cannot imagine why e.g. ffmpeg:0.10 is in the emul-* packages at all).
Of course, your list might slightly differ if you have different use-flags...
/etc/portage/package.use/multilib wrote:

# These mv does not want as multilib:

sys-devel/clang -abi_x86_32
www-plugins/adobe-flash -abi_x86_32

# ffmpeg:0.10 is only needed implicitly for 32 bit support for wine, so install a minimal one:

media-video/ffmpeg:0.10 -aac -aacplus -alsa -altivec -amr -avx bindist -bzip2 -cdio -celt -dirac -doc -encode -faac -frei0r -gnutls -gsm -ieee1394 -jack -jpeg2k -libass -libv4l -modplug -mp3 -neon -network -openal -openssl -oss -pic -pulseaudio -rtmp -schroedinger -sdl -speex -theora threads -truetype -v4l -vaapi -vdpau -vis -vorbis -vpx -x264 -xvid -zlib

# These are only dependencies of ffmpeg:0.10, but we disabled them above:

dev-lang/orc -abi_x86_32
media-libs/opencore-amr -abi_x86_32
media-libs/schroedinger -abi_x86_32
media-libs/vo-aacenc -abi_x86_32
media-libs/vo-amrwbenc -abi_x86_32

# These mv wants as multilib:

app-emulation/emul-linux-x86-* abi_x86_32
app-emulation/wine abi_x86_32

# The rest mv is *forced* to take...

# net-im/skype:

dev-qt/qtcore abi_x86_32
dev-qt/qtdbus abi_x86_32
dev-qt/qtgui abi_x86_32
dev-qt/qtwebkit abi_x86_32
media-libs/alsa-lib abi_x86_32
x11-libs/libX11 abi_x86_32
x11-libs/libXScrnSaver abi_x86_32
x11-libs/libXext abi_x86_32
x11-libs/libXv abi_x86_32

# Implicit of net-im/skype:

dev-libs/libpthread-stubs abi_x86_32
x11-proto/kbproto abi_x86_32
x11-proto/printproto abi_x86_32
x11-proto/scrnsaverproto abi_x86_32
x11-proto/videoproto abi_x86_32
x11-proto/xextproto abi_x86_32
x11-proto/xproto abi_x86_32

# app-emulation/emul-linux-x86-baselib:

app-arch/bzip2 abi_x86_32
app-text/libpaper abi_x86_32
dev-libs/elfutils abi_x86_32
dev-libs/expat abi_x86_32
dev-libs/glib abi_x86_32
media-libs/lcms abi_x86_32
media-libs/libpng abi_x86_32
media-libs/tiff abi_x86_32
sys-apps/attr abi_x86_32
sys-devel/llvm abi_x86_32
sys-libs/e2fsprogs-libs abi_x86_32
sys-libs/gpm abi_x86_32
sys-libs/libavc1394 abi_x86_32
sys-libs/libraw1394 abi_x86_32
sys-libs/ncurses abi_x86_32
sys-libs/zlib abi_x86_32
virtual/libffi abi_x86_32
virtual/libusb abi_x86_32
virtual/udev abi_x86_32

# Implicit of app-emulation/emul-linux-x86-baselibs:

app-arch/xz-utils abi_x86_32
dev-libs/libffi abi_x86_32
dev-libs/libusb-compat abi_x86_32
dev-libs/libusbx abi_x86_32
media-libs/jbigkit abi_x86_32
sys-apps/systemd abi_x86_32
virtual/jpeg:62 abi_x86_32

# app-emulation/emul-linux-x86-medialibs:

dev-libs/fribidi abi_x86_32
dev-libs/libcdio abi_x86_32
dev-libs/libcdio-paranoia abi_x86_32
dev-libs/liboil abi_x86_32
dev-libs/udis86 abi_x86_32
media-libs/a52dec abi_x86_32
media-libs/faac abi_x86_32
media-libs/faad2 abi_x86_32
media-libs/libcuefile abi_x86_32
media-libs/libdca abi_x86_32
media-libs/libdv abi_x86_32
media-libs/libdvdnav abi_x86_32
media-libs/libdvdread abi_x86_32
media-libs/libid3tag abi_x86_32
media-libs/libiec61883 abi_x86_32
media-libs/libmad abi_x86_32
media-libs/libmimic abi_x86_32
media-libs/libmms abi_x86_32
media-libs/libmpeg2 abi_x86_32
media-libs/libreplaygain abi_x86_32
media-libs/libshout abi_x86_32
media-libs/libsidplay abi_x86_32
media-libs/libtheora abi_x86_32
media-libs/libv4l abi_x86_32
media-libs/libvisual abi_x86_32
media-libs/libvpx abi_x86_32
media-libs/speex abi_x86_32
media-libs/x264 abi_x86_32
media-libs/xvid abi_x86_32
media-sound/lame abi_x86_32
media-video/ffmpeg:0.10 abi_x86_32
sys-libs/libieee1284 abi_x86_32

# Implicit of app-emulation/emul-linux-x86-medialibs:

media-libs/libdvdcss abi_x86_32
media-libs/libjpeg-turbo abi_x86_32
virtual/jpeg:0 abi_x86_32
virtual/libiconv abi_x86_32

# app-emulation/emul-linux-x86-soundlibs:

media-libs/alsa-lib abi_x86_32
media-libs/audiofile abi_x86_32
media-libs/flac abi_x86_32
media-libs/ladspa-sdk abi_x86_32
media-libs/libmikmod abi_x86_32
media-libs/libmodplug abi_x86_32
media-libs/libogg abi_x86_32
media-libs/libsamplerate abi_x86_32
media-libs/libsndfile abi_x86_32
media-libs/libvorbis abi_x86_32
media-libs/portaudio abi_x86_32
media-libs/webrtc-audio-processing abi_x86_32
media-plugins/alsaequal abi_x86_32
media-plugins/caps-plugins abi_x86_32
media-plugins/swh-plugins abi_x86_32
media-sound/cdparanoia abi_x86_32
media-sound/gsm abi_x86_32
media-sound/jack-audio-connection-kit abi_x86_32
media-sound/mpg123 abi_x86_32
media-sound/musepack-tools abi_x86_32
media-sound/twolame abi_x86_32
media-sound/wavpack abi_x86_32
sci-libs/fftw abi_x86_32

# app-emulation/emul-linux-x86-xlibs:

media-libs/fontconfig abi_x86_32
media-libs/freetype abi_x86_32
x11-libs/libICE abi_x86_32
x11-libs/libSM abi_x86_32
x11-libs/libX11 abi_x86_32
x11-libs/libXScrnSaver abi_x86_32
x11-libs/libXau abi_x86_32
x11-libs/libXaw abi_x86_32
x11-libs/libXcomposite abi_x86_32
x11-libs/libXcursor abi_x86_32
x11-libs/libXdamage abi_x86_32
x11-libs/libXdmcp abi_x86_32
x11-libs/libXext abi_x86_32
x11-libs/libXfixes abi_x86_32
x11-libs/libXft abi_x86_32
x11-libs/libXi abi_x86_32
x11-libs/libXinerama abi_x86_32
x11-libs/libXmu abi_x86_32
x11-libs/libXp abi_x86_32
x11-libs/libXpm abi_x86_32
x11-libs/libXrandr abi_x86_32
x11-libs/libXrender abi_x86_32
x11-libs/libXt abi_x86_32
x11-libs/libXtst abi_x86_32
x11-libs/libXv abi_x86_32
x11-libs/libXvMC abi_x86_32
x11-libs/libXxf86dga abi_x86_32
x11-libs/libXxf86vm abi_x86_32
x11-libs/libpciaccess abi_x86_32
x11-libs/libvdpau abi_x86_32
x11-libs/libxcb abi_x86_32

# Implicit of app-emulation/emul-linux-x86-xlibs:

dev-libs/libpthread-stubs abi_x86_32
x11-proto/compositeproto abi_x86_32
x11-proto/damageproto abi_x86_32
x11-proto/fixesproto abi_x86_32
x11-proto/inputproto abi_x86_32
x11-proto/kbproto abi_x86_32
x11-proto/printproto abi_x86_32
x11-proto/randrproto abi_x86_32
x11-proto/recordproto abi_x86_32
x11-proto/renderproto abi_x86_32
x11-proto/scrnsaverproto abi_x86_32
x11-proto/videoproto abi_x86_32
x11-proto/xcb-proto abi_x86_32
x11-proto/xextproto abi_x86_32
x11-proto/xf86bigfontproto abi_x86_32
x11-proto/xf86dgaproto abi_x86_32
x11-proto/xf86vidmodeproto abi_x86_32
x11-proto/xineramaproto abi_x86_32
x11-proto/xproto abi_x86_32
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum